Sync dosbox 0.73+dfsg1-1 (universe) from Debian testing (main)

Bug #499646 reported by Artur Rona on 2009-12-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dosbox (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: dosbox

Explanation of the Ubuntu delta and why it can be dropped:
Changes from Ubuntu have been forwarded to Debian.

 dosbox (0.73+dfsg1-1) unstable; urgency=low

   * remove src/hardware/ymf262.c, src/hardware/ymf262.h, add
     debian/patches/remove_ymf262_code.patch to remove dependencies on
     ymf262.{c,h}, update debian/patches/series and debian/README.source
     (Closes: #559443)
   * debian/copyright: refer to GPL-2 explicitly
   * debian/watch: add opts=dversionmangle to calculate correct upstream
     version
   * incorporate upstream suggestions:
     - remove debian/patches/bios_keyboard.cpp.patch, upstream uses
       putenv("SDL_DISABLE_LOCK_KEYS=1") in src/gui/sdlmain.cpp, update
       debian/patches/series
     - remove debian/dosbox.conf.example because dosbox creates a
       configuration file automatically if it does not exist, update
       debian/docs and debian/README.Debian

 -- Jan Dittberner <email address hidden> Sat, 05 Dec 2009 19:37:29 +0100
dosbox (0.73-2) unstable; urgency=low

   * debian/control:
     - remove quilt from Build-Depends because source format 3.0 (quilt)
       implies that already
   * debian/rules:
     - remove --with quilt
   * debian/README.source:
     - remove quilt notes

 -- Jan Dittberner <email address hidden> Tue, 01 Dec 2009 22:07:23 +0100
dosbox (0.73-1) unstable; urgency=low

   * New upstream release (LP: #382024, Closes: #530940)
   * Include fixes from NMU (Closes: #417159), thanks to James Vega
   * Switch from cdbs to debhelper 7 and quilt
   * remove old patches, applied upstream:
     debian/patches/dos_keyboard_layout.cpp.patch,
     debian/patches/dyn_fpu.h.patch, debian/patches/gcc-4.3.patch
     debian/patches/sdlmain.cpp.patch, debian/patches/xms.cpp.patch
   * debian/control:
     - new Maintainer (old Maintainer was inactive according to MIA db,
       Closes: #540821)
     - add Vcs-Git and Vcs-Browser fields
     - add ${misc:Depends} to Depends
     - update Standards-Version to 3.8.3 (added debian/README.source)
     - update Depends: remove cdbs, add quilt, update debhelper version to
       >=7.0.50
   * debian/compat:
     - bump to 7
   * debian/copyright:
     - update upstream copyright years, add package licensing and new
       maintainer information
   * debian/rules:
     - use dh7 rule instead of cdbs
   * add debian/watch (Closes: #530941)
   * remove non-free src/hardware/fmopl.c and src/hardware/fmopl.h,
     add patch debian/patches/remove_fmopl_code.patch to remove fmopl
     dependencies (Closes: #530824)
   * add debian/patches/series for quilt
   * refresh debian/patches/bios_keyboard.cpp.patch
   * add debian/README.source with instructions how to produce the
     original tarball
   * add debian/patches/fix_spelling_errors.patch to fix some spelling
     errors discovered by Lintian
   * add debian/patches/fix_manpage_errors.patch to fix warnings that
     lintian found in dosbox.1
   * add DEP-3 descriptions to patches
   * add debian/src/format for source format 3.0 (quilt)

 -- Jan Dittberner <email address hidden> Mon, 30 Nov 2009 21:47:41 +0100

Artur Rona (ari-tczew) on 2009-12-23
tags: added: sync
Daniel Holbach (dholbach) wrote :

Why can debian/patches/bios_keyboard.cpp.patch be dropped?

Because:
    - remove debian/patches/bios_keyboard.cpp.patch, upstream uses
      putenv("SDL_DISABLE_LOCK_KEYS=1") in src/gui/sdlmain.cpp, update
      debian/patches/series
I'm a last uploader of dosbox in Ubuntu and I confirm that now dosbox in
Debian is better maintained, so +1 for sync.

Dnia 2009-12-23, śro o godzinie 10:20 +0000, Daniel Holbach pisze:
> Why can debian/patches/bios_keyboard.cpp.patch be dropped?
>

Benjamin Drung (bdrung) wrote :

package builds, sync request ACK'd

Changed in dosbox (Ubuntu):
importance: Undecided → Wishlist
Benjamin Drung (bdrung) on 2009-12-30
Changed in dosbox (Ubuntu):
status: New → Confirmed
James Westby (james-w) wrote :

[Updating] dosbox (0.73-0ubuntu1 [Ubuntu] < 0.73+dfsg1-1 [Debian])
 * Trying to add dosbox...
  - <dosbox_0.73+dfsg1-1.debian.tar.gz: downloading from http://ftp.debian.org/debian/>
  - <dosbox_0.73+dfsg1-1.dsc: downloading from http://ftp.debian.org/debian/>
  - <dosbox_0.73+dfsg1.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: dosbox [universe] -> dosbox_0.73-0ubuntu1 [universe].

Changed in dosbox (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers